com.h3c.of.lib.msg

## Class OfmMeterMod

- java.lang.Object
- - com.h3c.nbio.AbstractMessage
  - - com.h3c.of.lib.msg.OpenflowMessage
    - - com.h3c.of.lib.msg.OfmMeterMod

- All Implemented Interfaces:
    Message, Structure
  Direct Known Subclasses:
    OfmMutableMeterMod

      public class OfmMeterMod
      extends OpenflowMessage

  Represents an OpenFlow METER_MOD message; Since 1.3.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `OpenflowMessage.Header`

  - ### Field Summary

    - ### Fields inherited from class com.h3c.nbio.AbstractMessage

      `length`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<MeterBand>` | `getBands()` Returns the bands applied to this meter; Since 1.3.
    `MeterModCommand` | `getCommand()` Returns the meter mod command; Since 1.3.
    `Set<MeterFlag>` | `getFlags()` Returns the meter flags; Since 1.3.
    `MeterId` | `getMeterId()` Returns the meter id; Since 1.3.
    `String` | `toDebugString()` Returns a string representation useful for debugging.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.msg.OpenflowMessage

      `decodeHeader, getType, getVersion, getXid, hex, hex, length, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenflowMessage`

    - #### toDebugString

          public String toDebugString()

      Description copied from class: `OpenflowMessage`
      Returns a string representation useful for debugging. This default implementation delegates to `OpenflowMessage.toString()`, but subclasses are free to override this behavior.
      Specified by:
        `toDebugString` in interface `Structure`
      Overrides:
        `toDebugString` in class `OpenflowMessage`
      Returns:
        a (possibly multi-line) string representation of this message

    - #### getCommand

          public MeterModCommand getCommand()

      Returns the meter mod command; Since 1.3.
      Returns:
        the command

    - #### getFlags

          public Set<MeterFlag> getFlags()

      Returns the meter flags; Since 1.3.
      Returns:
        the flags

    - #### getMeterId

          public MeterId getMeterId()

      Returns the meter id; Since 1.3.
      Returns:
        the meter id

    - #### getBands

          public List<MeterBand> getBands()

      Returns the bands applied to this meter; Since 1.3.
      Returns:
        the bands

Copyright © 2014. All Rights Reserved.